Opencpn-cmd(1)

NAME
opencpn-cmd - Chartplotter and GPS Navigation Software CLI interface

SYNOPSIS
opencpn-cmd [options]

DESCRIPTION
opencpn-cmd provides command line access to some basic functionality available in opencpn. It is in alpha state.

Currently, opencpn-cmd supports various functions to load plugins and display some configuration information.

OPTIONS

-h, --help
    Show help info.

RUNNING

  Debian/Ubuntu

After a build opencpn-cmd is available in the build directory and could be run directly:

    $ cd build
    $ cmake ...
    $ make
    $ ./opencpn-cmd --help

After `sudo make install` it is globally available. opencpn-cmd is included in the .deb packages.

  Flatpak

Make a local Flatpak build as described in https://opencpn-manuals.github.io/main/opencpn-dev/linux.html#_flatpak This will also make a local installation.

opencpn-cmd needs to run in the Flatpak sandbox. Do:

    $ flatpak run --command=bash --devel org.opencpn.OpenCPN
    📦 opencpn-cmd --help

  MacOS
After a local build followed by `sudo make install` opencpn-cmd is available in /usr/local/bin/. Run using:

    $ /usr/local/bin/OpenCPN.app/Contents/MacOS/opencpn-cmd --help

The installer installs it under Applications. Run using:

    $ /Applications/OpenCPN.app/Contents/MacOS/opencpn-cmd --help

  Windows

The NSIS installer installs opencpn-cmd in the installation directory. In a standard install do:

    > cd "\Program Files (x86)\OpenCPN"
    > opencpn-cmd --help

SEE ALSO
opencpn(1)